Anonymous Login
2018-12-15 14:09 UTC

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0001868OpenClonkObjectspublic2016-12-18 11:24
ReporterSven2 
Assigned ToMaikel 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
PlatformVisual C++ 2008OSWindowsOS Version 
Product Version 
Target VersionFixed in Versiongit master 
Summary0001868: Script error on incinerated compensator
DescriptionHappened in the oil pumping scenario:

[17:57:50] ERROR: ERROR: proplist access: proplist expected, got nil.
[17:57:50] by: Object(384899)->GetStoredPower() (Objects.ocd\Libraries.ocd\Structures.ocd\Power.ocd\Storage.ocd\Script.c:87)
[17:57:50] by: Object(384899)->Incineration(-1) (Objects.ocd\Structures.ocd\Compensator.ocd\Script.c:46)
[17:57:50] by: Object(384899)->FxFireStart(Object(384899),effect {FreqReduction = 4, Name = "Fire", blasted = false, border_active = false, caused_by = -1, chaoticspark = {Alpha = [2, 40, 140, nil, nil], B = [2, 0, 100, nil, nil], BlitMode = 1, CollisionVertex = 0, DampingX = 950, DampingY = 950, ForceX = [3, 10, 0, [2, -6, 6, nil, nil], 333, [2, -6, -6, nil, nil], 666, [2, 6, 6, nil, nil], 1000, [2, -6, 6, nil, nil]], ForceY = [3, 10, 0, [2, -8, 5, nil, nil], 333, [2, -8, 5, nil, nil], 666, [2, -10, 10, nil, nil], 1000, [2, -10, 15, nil, nil]], G = [1, 255, 200], OnCollision = [0], R = 255, Rotation = [6, 1000], Size = [1, 1, 0], Stretch = [8, 1000, 500]}, fire_height = 2, fire_width = 3, flameborder = {Alpha = [3, 0, 0, 0, 100, 80, 600, 80, 1000, 1], B = 0, G = [1, 255, 0], OnCollision = [0], Phase = [2, 0, 4, nil, nil], R = 255, Size = [3, 0, 0, 6, 500, 6, 1000, 3], Stretch = 333}, height = 0, incinerating_obj = nil, maxhgt = 2, mode = 1, no_burn_decay = nil, pspeed = -1, redfiredense = {Alpha = 120, B = 0, G = 0, OnCollision = 0, Phase = [2, 0, 3, nil, nil], R = [2, 0, 255, nil, nil], Rotation = [2, 0, 359, nil, nil], Size = [3, 0, 0, 1, 500, [2, 0, 0, nil, nil], 1000, 1]}, sharpflame = {Alpha = [3, 0, 0, 0, 350, 28, 700, 28, 1000, 0], B = 0, BlitMode = 1, G = [3, 0, 0, 255, 666, 0, 627, 0], OnCollision = 0, Phase = [2, 0, 5, nil, nil], R = 255, Rotation = [2, -5, 5, nil, nil], Size = [3, 0, 0, 9, 500, 9, 1000, 6], Stretch = 333}, smoke = {Alpha = [3, 0, 0, 1, 50, 15, 1000, 0], B = 255, CollisionVertex = 1000, DampingX = [1, 900, 999], DampingY = [1, 1000, [2, 650, 750, nil, nil]], ForceX = [9, 50, nil], ForceY = -7, G = 255, OnCollision = [2], Phase = [2, 0, 3, nil, nil], R = 255, Rotation = [2, 0, 359, nil, nil], Size = [1, 6, 30]}, strength = 15, width = 15},0,-1,0,0,15) (System.ocg\Fire.c:279)
[17:57:50] by: Object(384899)->Incinerate(15,-1) (System.ocg\Fire.c:72)
[17:57:50] by: Object(384899)->OnInIncendiaryMaterial() (System.ocg\Fire.c:83)
TagsNo tags attached.
Attached Files

-Relationships
+Relationships

-Notes

~0005544

occ (reporter)

Hi! There's been a check-in that references this bug. For more information you can visit the repository browser at this address:
https://git.openclonk.org/openclonk.git/commitdiff/95e520a94156b03ddc8e0208b99eee49a49ab41e

Changeset 95e520a by Maikel de Vries <mdt.maikel@gmail.com>
initialize power library local vars in construction callback (0001868)

+Notes

-Issue History
Date Modified Username Field Change
2016-12-17 23:06 Sven2 New Issue
2016-12-18 11:21 occ Note Added: 0005544
2016-12-18 11:24 Maikel Assigned To => Maikel
2016-12-18 11:24 Maikel Status new => resolved
2016-12-18 11:24 Maikel Resolution open => fixed
2016-12-18 11:24 Maikel Fixed in Version => git master
+Issue History